Subject: RE: [hackers-il] Mouse vs. keyboard

From: Chen Shapira <[email-masked]>
Date: Sun, 29 Oct 2000 19:33:35 +0200

> Are you sure this wasn't one of those "Scientific Maariv" articles? :)
> 

The reference I gave was to one of the more respected books in the HCI
field.
But as I said, the research was conducted for Apple.
 
> The efficiency of using the keyboard vs. the mouse depends on 
> the features
> the OS offers the user, so it doesn't make sense to talk 
> about this issue
> without comparing actual operating systems.

Not true. One can give a similar task that can be done in a similar way with
both a mouse and a keyboard, one can test the speed of working with the
device, as opposed to the power of the OS.

There are wide diffrenced between mouse based OS's.
Grabbing a toolbar is much faster in Mac than under windows, the multi-level
menus are also faster under the mac.
I'm talking about a task, not about an OS.

> For example, to copy a file on a Windows machine, it is obvious that
> drag-and-drop is quicker than opening a DOS window and using 
> the "CD", "DIR",
> and "COPY" commands. However, how do you, using the "faster" 
> Windows Explorer,
> copy all the GIF files under some directory (and its 
> subdirectories) to
> another drive? You'll probably be forced to do it one by one, 
> and believe me,
> while using the mouse is very efficient for doing one thing, 
> it because
> horribly inefficent when repeating an action several dozen 
> times. On the
> other hand, in Unix, using zsh (for example), I just do
> 	 cp /some/directory/**/*.gif /another/directory
> which is much faster than the mouse way.

Why no, I'd use the Find tool, do find for *.gif in the directory, get all
the files I need (find is recursive), and the just select-all and copy to
where ever I need.

It's about knowing the tools, not many people think of the ** trick (I used
to write shell scripts to do what you just described)

About the printing example - again each OS is good in specific things,
batch prints is easier under Unix (although its unfair, more unix users know
shell programming than windows users know VB), but printing a specific
segment from a documents is easier under windows.

In anycase, those are OS attributes, nothing to do with the subject of the
test. 

> People may argue against what I said by saying that typical 
> users don't
> need such sophisticated loops and repetitions of commands. I 
> say they're
> wrong - beginner, unsophisticated, users may not need them, 
> and find Windows
> very convenient. But once you learn a little more about your 
> computer, Windows
> starts being a strait-jacket. Some users learn to accept that 
> strait-jacket,
> thinking it is natural, but others (like me) refuse to accept it.

The fact that some people never learn to use windows doesn't make it a
strait-jacket. Once you learn the OS - its as good and usefull as a Unix. 
I'm talking about NT 4.0 here, because thats the only windows version I've
used.

> quoted thinks that "engaging the mind" is a bad thing. I 
> disagree, and find
> repetitive, boring, tasks much worse).

I never said that one shouldn't ever ever program, instead he better
repeatedly use the mouse in stupid ways.
I only quoted an article saying that:
	1. A task that can be performed with and without a mouse in similar
ways can be done with a mouse.
	2. You may never know it.

If postscript does the job faster than Word - go ahead. Some people may do
it in VB, but again, it isn't related to the mouse VS. keyboard argument.

Engaging the mind isn't bad, it's just misleading, it makes time fly.
Remember the time when you were programming, and were very  suprized to see
its morning already? thats what i mean.

> In short my theory is that keyboard (command line) UI lends 
> itself much
> better to repetition and autmation, which makes it more 
> efficient in the
> long-run than mouse (graphical) UI for experienced users. Of 
> course, having
> both kinds of interfaces implemented well (see, for example, 
> Emacs) is the
> best thing, because it wins in both contests: it allows for 
> easy one-time
> tasks, and easy automation.

The other example is NT with Cygnus :-)

---

From: Oleg Goldshmidt <[email-masked]>
Date: 07 Nov 2000 20:24:52 +0200

> But as I said, the research was conducted for Apple.

And therefore is suspicious.

I don't know much about MacOS [flame away], but it is common
knowledge that it is very much mouse-oriented. So it is conceivable
that mouse operations are quite convenient, and command line isn't.
And this makes me suspect that Apple might have a vested interest in
"proving" that using the mouse is generally faster.

I wonder what kind of difference the completion features of modern
shells (e.g. bash) make in assessing the efficiency of command line
work.

> the files I need (find is recursive), and the just select-all and copy to

Bad example. Try to grab files whose names match a regular expression
and that have been modified since the previous Sunday. I don't add,
"files that you own and can execute, and only those that are not
symlinks", because that would definitely be too hard for "find".

This is [partly] tongue-in-cheek, of course.

> printing a specific segment from a documents is easier under
> windows.

What do you mean by "document"? I guess I see what you mean. This
seems to me related to the fact that Windows documents are created by
word processors, while unixoids like myself work with text processors
(not that I have any significant experience with *roff, but I'll stick
to (La)?TeX for the time being, thank you).

In any case, I believe I have extensive experience both in reading and
in writing documents of various kinds and formats, and I don't recall
a single case when I needed to print a piece of a document that was
not an integer number of pages. Printing a page or several pages is 
usually easy enough even under UNIX.

> > Of course, having both kinds of interfaces implemented well (see,
> > for example, Emacs) is the best thing, because it wins in both
> > contests: it allows for easy one-time tasks, and easy automation.

Hear! Hear! ;-)

-- 
Oleg Goldshmidt <[email-masked]> 
"... We work by wit, and not by witchcraft;
 And wit depends on dilatory time." [Shakespeare]